eoDynUpdater(3)

NAME
eoDynUpdater - A base class to actually update an eoUpdatable object.

SYNOPSIS

#include <eoUpdatable.h>

Inherits eoUpdater.

Inherited by eoCountedDynUpdate, and eoTimedDynUpdate.

  Public Member Functions
eoDynUpdater (eoUpdatable &_toUpdate)
virtual void operator() ()
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoUpdatable & toUpdate

Detailed Description

A base class to actually update an eoUpdatable object.

Definition at line 51 of file eoUpdatable.h.

Author

Generated automatically by Doxygen for EO from the source code.